Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZQDomRenderer Class Reference

## Public Member Functions
| __construct (&$article, $template=false)
& | renderIntro ()
& | renderPage ( $pageNumber=0)
& | renderRollOver ( $paragraph)
& | renderHeader ( $paragraph)
& | renderImage ( $paragraph)
& | renderMedia ( $paragraph)
& | renderFile ( $paragraph)
& | renderPlain ( $paragraph)
& | renderStandards ( $paragraph)
& | renderCustom ( $paragraph)
& | renderLink ( $paragraph)
| usedImageList ()
& | renderHr ( $paragraph)
& | renderTable ( $paragraph)

## Public Attributes
| $UsedImageList
| $Article
| $PrevTag
| $Template
| $BrOverride = true
| stores the override variable. More...
| $CustomTagsArray
| stores the custom tags array More...
| $RollOverCount

## Private Member Functions
& | renderChildren ( $paragraph)

## Detailed Description

! eZArticle eZQDomRenderer renders XML contents into html articles.

This class wil decode the QDom articles generated by eZQDomGenerator. Supported tags:

<page> - pagebreak
<header>
Header text
</header>
<link ez.no text to the link> - anchor
<iconlink ez.no text to the link> - anchor
<mail adresse@domain.tld subject line, link text> - anchor to email address with subject
<image 42 align size> - image tag, 42 is the id, alignment (left|center|right|float), size (small|medium|large|original)
<image 42 align size link> - image tag, 42 is the id, alignment (left|center|right|float), size (small|medium|large|original), the link is optional
<ezanchor anchorname>
<module modulename> - this will include a php file named "modulename.php" if it is found in the
ezrticle/modules dir.
<bullet>
</bullet>
<html>
html code, this will print out the HTML code..
</html>
<cpp>
cpp code
</cpp>
<php>
php code
</php>
<java>
java code
</java>
<ezhtml>
html code
</ezhtml>
<shell>
shell code
</shell>
<sql>
sql code
</sql>
<perl>
perl code
</perl>
<lisp>
lisp code
</lisp>
<bold>
bold text
</bold>
<italic>
italic text
</italic>
<underline>
underlined text
</underline>
<strike>
strike text
</strike>
<pre>
predefined text
</pre>
<verbatim>
predefined text
</verbatim>
<table>
<tr>
<td>
text
</td>
</tr>
</table>
also
<table width>
<table width border>
<td width>
<td width colspan>
<td width colspan rowspan>
<hr> - horiznontal line
table
$def table
Definition: ezprestauthorizedclient.php:13

See also
  eZQDomGenerator

TODO Add better syntax highlighting.

Definition at line 145 of file ezqdomrenderer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZQDomRenderer::__construct | ( | & | $article,
|  |  | $template = `false`
| ) |  |

Creates a new eZQDomGenerator object.

Definition at line 150 of file ezqdomrenderer.php.

References $article, $ini, $RollOverCount, $UsedImageList, file_exists(), Template\set_block(), and Template\set_file().

## Member Function Documentation

## ◆ renderChildren()

& eZQDomRenderer::renderChildren | ( |  | $paragraph | ) |
| private

Renders the children for this paragraph and returns the contents.

Definition at line 1572 of file ezqdomrenderer.php.

References eZTextTool\nl2br(), renderCustom(), renderFile(), renderHeader(), renderHr(), renderImage(), renderLink(), renderMedia(), renderRollOver(), renderStandards(), and renderTable().

Referenced by renderTable().

## ◆ renderCustom()

& eZQDomRenderer::renderCustom | ( |  | $paragraph | ) |

Renders custom tags.

Definition at line 1197 of file ezqdomrenderer.php.

References $media, eZTextTool\nl2br(), Template\parse(), renderFile(), renderHeader(), renderHr(), renderImage(), renderLink(), renderMedia(), renderRollOver(), renderStandards(), renderTable(), and Template\set_var().

Referenced by renderChildren(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderFile()

& eZQDomRenderer::renderFile | ( |  | $paragraph | ) |

Renders file tags.

Definition at line 931 of file ezqdomrenderer.php.

References $articleID, $file, $fileName, $GlobalSiteIni, $ini, $level, Template\parse(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderHeader()

& eZQDomRenderer::renderHeader | ( |  | $paragraph | ) |

Renders header tags.

Definition at line 511 of file ezqdomrenderer.php.

References $content, $level, Template\parse(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderHr()

& eZQDomRenderer::renderHr | ( |  | $paragraph | ) |

Definition at line 1472 of file ezqdomrenderer.php.

References Template\parse().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderImage()

& eZQDomRenderer::renderImage | ( |  | $paragraph | ) |

Renders image tags.

Definition at line 559 of file ezqdomrenderer.php.

References $articleID, $element, $elements, $image, $ini, $level, $map, $variation, Template\parse(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderIntro()

& eZQDomRenderer::renderIntro | ( |  | ) |

Returns the XHTML contents of the introduction of the article.

Definition at line 242 of file ezqdomrenderer.php.

References $article, $articleID, $i, eZXML\domTree(), renderCustom(), renderFile(), renderHeader(), renderHr(), renderImage(), renderLink(), renderMedia(), renderPlain(), renderRollOver(), renderStandards(), and renderTable().

## ◆ renderLink()

& eZQDomRenderer::renderLink | ( |  | $paragraph | ) |

Renders link tags.

Definition at line 1240 of file ezqdomrenderer.php.

References $GlobalSiteIni, $id, Template\parse(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderMedia()

& eZQDomRenderer::renderMedia | ( |  | $paragraph | ) |

Renders media tags.

Definition at line 877 of file ezqdomrenderer.php.

References $articleID, $ini, $level, $media, Template\parse(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderPage()

& eZQDomRenderer::renderPage | ( |  | $pageNumber = `0` | ) |

Returns the XHTML article of the article.

Definition at line 302 of file ezqdomrenderer.php.

References $article, $articleID, $page, eZXML\domTree(), renderCustom(), renderFile(), renderHeader(), renderHr(), renderImage(), renderLink(), renderMedia(), renderPlain(), renderRollOver(), renderStandards(), and renderTable().

## ◆ renderPlain()

& eZQDomRenderer::renderPlain | ( |  | $paragraph | ) |

Definition at line 982 of file ezqdomrenderer.php.

References eZTextTool\nl2br().

Referenced by renderIntro(), and renderPage().

## ◆ renderRollOver()

& eZQDomRenderer::renderRollOver | ( |  | $paragraph | ) |

Renders rollover tags.

Definition at line 431 of file ezqdomrenderer.php.

References $image, $url, $variation, Template\parse(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ renderStandards()

& eZQDomRenderer::renderStandards | ( |  | $paragraph | ) |

Renders the standard tags like bold, italic ...

Definition at line 1001 of file ezqdomrenderer.php.

References $content, $forms, $lines, $output, eZTextTool\nl2br(), Template\parse(), renderCustom(), renderFile(), renderHeader(), renderHr(), renderImage(), renderLink(), renderMedia(), renderRollOver(), renderTable(), and Template\set_var().

Referenced by renderChildren(), renderCustom(), renderIntro(), and renderPage().

## ◆ renderTable()

& eZQDomRenderer::renderTable | ( |  | $paragraph | ) |

Renders a table object.

Definition at line 1485 of file ezqdomrenderer.php.

References $row, $Template, and renderChildren().

Referenced by renderChildren(), renderCustom(), renderIntro(), renderPage(), and renderStandards().

## ◆ usedImageList()

eZQDomRenderer::usedImageList | ( |  | ) |

Returns the relative ID to the images used ( rendered ) in this article

Definition at line 1466 of file ezqdomrenderer.php.

References $UsedImageList.

## Member Data Documentation

## ◆ $Article

eZQDomRenderer::$Article

Definition at line 1603 of file ezqdomrenderer.php.

## ◆ $BrOverride

eZQDomRenderer::$BrOverride = true

stores the
override variable.

Definition at line 1608 of file ezqdomrenderer.php.

## ◆ $CustomTagsArray

eZQDomRenderer::$CustomTagsArray

stores the custom tags array

Definition at line 1611 of file ezqdomrenderer.php.

## ◆ $PrevTag

eZQDomRenderer::$PrevTag

Definition at line 1604 of file ezqdomrenderer.php.

## ◆ $RollOverCount

eZQDomRenderer::$RollOverCount

Definition at line 1614 of file ezqdomrenderer.php.

Referenced by __construct().

## ◆ $Template

eZQDomRenderer::$Template

Definition at line 1605 of file ezqdomrenderer.php.

Referenced by renderTable().

## ◆ $UsedImageList

eZQDomRenderer::$UsedImageList

Definition at line 1602 of file ezqdomrenderer.php.

Referenced by __construct(), and usedImageList().

The documentation for this class was generated from the following file:

- ezqdomrenderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.